{
  "summary": {
    "generated_at": "2026-01-05T05:58:30Z",
    "total_nodes": 12,
    "reachable_count": 11,
    "authorized_ok_count": 11,
    "chainid_match_count": 11,
    "netversion_match_count": 11,
    "min_block": 600172,
    "max_block": 600172,
    "block_spread": 0,
    "port": 8545,
    "timeout_s": 4.0,
    "threads": 12,
    "host_header_candidates": [
      "localhost",
      "127.0.0.1",
      "rpc-http-pub.d-bis.org",
      "rpc.d-bis.org",
      "rpc2.d-bis.org",
      "rpc.public-0138.defi-oracle.io"
    ]
  },
  "nodes": [
    {
      "vmid": "2400",
      "ip": "192.168.11.240",
      "name": "thirdweb-rpc-1",
      "group": "thirdweb",
      "url": "http://192.168.11.240:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 207.9091510095168,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x9",
        "peer_count": 9,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 18.642876122612506
      },
      "timings_ms": {
        "eth_chainId": 5.718997010262683,
        "net_version": 7.659193011932075,
        "web3_clientVersion": 6.548641977133229,
        "eth_blockNumber": 15.681438002502546,
        "eth_syncing": 8.487960003549233,
        "net_peerCount": 6.532539002364501,
        "eth_getBlockByNumber_latest": 10.445822990732267,
        "eth_gasPrice": 88.06841698242351,
        "txpool_status": 9.572092996677384
      }
    },
    {
      "vmid": "2401",
      "ip": "192.168.11.241",
      "name": "thirdweb-rpc-2",
      "group": "thirdweb",
      "url": "http://192.168.11.241:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 213.53833298780955,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 24.52622787313885
      },
      "timings_ms": {
        "eth_chainId": 15.027666988316923,
        "net_version": 43.921681004576385,
        "web3_clientVersion": 19.92814298137091,
        "eth_blockNumber": 14.581958996132016,
        "eth_syncing": 12.085056019714102,
        "net_peerCount": 26.125786011107266,
        "eth_getBlockByNumber_latest": 21.93428698228672,
        "eth_gasPrice": 42.60524400160648,
        "txpool_status": 25.57373102172278
      }
    },
    {
      "vmid": "2402",
      "ip": "192.168.11.242",
      "name": "thirdweb-rpc-3",
      "group": "thirdweb",
      "url": "http://192.168.11.242:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 218.75384502345696,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 22.982312006206485
      },
      "timings_ms": {
        "eth_chainId": 13.106283004162833,
        "net_version": 15.127941005630419,
        "web3_clientVersion": 19.042873027501628,
        "eth_blockNumber": 8.686560991918668,
        "eth_syncing": 49.20421799761243,
        "net_peerCount": 27.219028008403257,
        "eth_getBlockByNumber_latest": 30.19566199509427,
        "eth_gasPrice": 21.27593001932837,
        "txpool_status": 49.485577997984365
      }
    },
    {
      "vmid": "2500",
      "ip": "192.168.11.250",
      "name": "besu-rpc-1",
      "group": "public",
      "url": "http://192.168.11.250:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 232.00124097638763,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 17.702793495118385
      },
      "timings_ms": {
        "eth_chainId": 6.189548992551863,
        "net_version": 22.067568002967164,
        "web3_clientVersion": 11.411852989112958,
        "eth_blockNumber": 52.445317996898666,
        "eth_syncing": 20.211505005136132,
        "net_peerCount": 10.043846006738022,
        "eth_getBlockByNumber_latest": 12.119189981603995,
        "eth_gasPrice": 7.133518985938281,
        "txpool_status": 3.952733997721225
      }
    },
    {
      "vmid": "2501",
      "ip": "192.168.11.251",
      "name": "besu-rpc-2",
      "group": "public",
      "url": "http://192.168.11.251:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 223.26723497826606,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 20.220841866830597
      },
      "timings_ms": {
        "eth_chainId": 7.801971980370581,
        "net_version": 14.23519299714826,
        "web3_clientVersion": 12.886672979220748,
        "eth_blockNumber": 18.590585998026654,
        "eth_syncing": 54.23513500136323,
        "net_peerCount": 20.11874198797159,
        "eth_getBlockByNumber_latest": 8.8069949997589,
        "eth_gasPrice": 25.09143899078481,
        "txpool_status": 8.693534007761627
      }
    },
    {
      "vmid": "2502",
      "ip": "192.168.11.252",
      "name": "besu-rpc-3",
      "group": "public",
      "url": "http://192.168.11.252:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 226.00755200255662,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 13.787661500828108
      },
      "timings_ms": {
        "eth_chainId": 19.772341998759657,
        "net_version": 8.80191702162847,
        "web3_clientVersion": 13.213600992457941,
        "eth_blockNumber": 18.104424001649022,
        "eth_syncing": 4.954300995450467,
        "net_peerCount": 6.284485978540033,
        "eth_getBlockByNumber_latest": 27.838860027259216,
        "eth_gasPrice": 11.331360990880057,
        "txpool_status": 10.74235700070858
      }
    },
    {
      "vmid": "2503",
      "ip": "192.168.11.253",
      "name": "besu-rpc-ali-0x8a",
      "group": "public",
      "url": "http://192.168.11.253:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 253.50685400189832,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 26.848975245229667
      },
      "timings_ms": {
        "eth_chainId": 71.47917902329937,
        "net_version": 23.61509797628969,
        "web3_clientVersion": 32.72294998168945,
        "eth_blockNumber": 9.742550988448784,
        "eth_syncing": 11.376996990293264,
        "net_peerCount": 14.018069981830195,
        "eth_getBlockByNumber_latest": 21.54029702069238,
        "eth_gasPrice": 30.296659999294207,
        "txpool_status": 19.25245698657818
      }
    },
    {
      "vmid": "2504",
      "ip": "192.168.11.254",
      "name": "besu-rpc-ali-0x1",
      "group": "public",
      "url": "http://192.168.11.254:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 237.4492599919904,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 35.18516899930546
      },
      "timings_ms": {
        "eth_chainId": 54.03546101297252,
        "net_version": 68.7478219915647,
        "web3_clientVersion": 55.22669298807159,
        "eth_blockNumber": 28.383522003423423,
        "eth_syncing": 7.901970006059855,
        "net_peerCount": 13.390103005804121,
        "eth_getBlockByNumber_latest": 39.157608000095934,
        "eth_gasPrice": 14.638172986451536,
        "txpool_status": 12.288444995647296
      }
    },
    {
      "vmid": "2505",
      "ip": "192.168.11.201",
      "name": "besu-rpc-luis-0x8a",
      "group": "named",
      "url": "http://192.168.11.201:8545",
      "host_header_used": null,
      "reachable": false,
      "authorized": false,
      "probe": {
        "ok": false,
        "latency_ms": 4006.11831000424,
        "error": "exception:TimeoutError:timed out",
        "response": null
      },
      "checks": {},
      "timings_ms": {}
    },
    {
      "vmid": "2506",
      "ip": "192.168.11.202",
      "name": "besu-rpc-luis-0x1",
      "group": "named",
      "url": "http://192.168.11.202:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 221.47768197464757,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 17.988520627113758
      },
      "timings_ms": {
        "eth_chainId": 18.706236995058134,
        "net_version": 19.367367000086233,
        "web3_clientVersion": 7.050196989439428,
        "eth_blockNumber": 11.62106401170604,
        "eth_syncing": 8.981705002952367,
        "net_peerCount": 10.183589009102434,
        "eth_getBlockByNumber_latest": 28.787880000891164,
        "eth_gasPrice": 39.21012600767426,
        "txpool_status": 24.2147289973218
      }
    },
    {
      "vmid": "2507",
      "ip": "192.168.11.203",
      "name": "besu-rpc-putu-0x8a",
      "group": "named",
      "url": "http://192.168.11.203:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 349.01041400735267,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 29.534799246903276
      },
      "timings_ms": {
        "eth_chainId": 69.52816399279982,
        "net_version": 9.379921975778416,
        "web3_clientVersion": 28.4366829728242,
        "eth_blockNumber": 12.240053009008989,
        "eth_syncing": 50.95446199993603,
        "net_peerCount": 17.20758099691011,
        "eth_getBlockByNumber_latest": 22.048452025046572,
        "eth_gasPrice": 26.483077002922073,
        "txpool_status": 7.018291013082489
      }
    },
    {
      "vmid": "2508",
      "ip": "192.168.11.204",
      "name": "besu-rpc-putu-0x1",
      "group": "named",
      "url": "http://192.168.11.204:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 273.7863840011414,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 26.451697125594364
      },
      "timings_ms": {
        "eth_chainId": 9.027188003528863,
        "net_version": 9.859918005531654,
        "web3_clientVersion": 6.011634977767244,
        "eth_blockNumber": 9.935135982232168,
        "eth_syncing": 9.703890013042837,
        "net_peerCount": 26.74817602382973,
        "eth_getBlockByNumber_latest": 52.62411801959388,
        "eth_gasPrice": 87.70351597922854,
        "txpool_status": 12.98760500503704
      }
    }
  ]
}